<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Periodos
 *
 * @ORM\Table(name="periodos", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class Periodos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_per", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePer;

    /**
     * @var string
     *
     * @ORM\Column(name="periodo", type="string", length=255, nullable=false)
     */
    private $periodo;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="mes_inicio", type="date", nullable=true)
     */
    private $mesInicio = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="mes_final", type="date", nullable=true)
     */
    private $mesFinal = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=true)
     */
    private $fecMov = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;



    /**
     * Get idePer
     *
     * @return integer
     */
    public function getIdePer()
    {
        return $this->idePer;
    }

    /**
     * Set periodo
     *
     * @param string $periodo
     *
     * @return Periodos
     */
    public function setPeriodo($periodo)
    {
        $this->periodo = $periodo;
    
        return $this;
    }

    /**
     * Get periodo
     *
     * @return string
     */
    public function getPeriodo()
    {
        return $this->periodo;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Periodos
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set mesInicio
     *
     * @param \DateTime $mesInicio
     *
     * @return Periodos
     */
    public function setMesInicio($mesInicio)
    {
        $this->mesInicio = $mesInicio;
    
        return $this;
    }

    /**
     * Get mesInicio
     *
     * @return \DateTime
     */
    public function getMesInicio()
    {
        return $this->mesInicio;
    }

    /**
     * Set mesFinal
     *
     * @param \DateTime $mesFinal
     *
     * @return Periodos
     */
    public function setMesFinal($mesFinal)
    {
        $this->mesFinal = $mesFinal;
    
        return $this;
    }

    /**
     * Get mesFinal
     *
     * @return \DateTime
     */
    public function getMesFinal()
    {
        return $this->mesFinal;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Periodos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Periodos
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return Periodos
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }
}
